Talk:Minecraft

From Gentoo Wiki
Jump to:navigation Jump to:search
Note
Before creating a discussion or leaving a comment, please read about using talk pages. To create a new discussion, click here. Comments on an existing discussion should be signed using ~~~~:
A comment [[User:Larry|Larry]] 13:52, 13 May 2024 (UTC)
: A reply [[User:Sally|Sally]] 16:49, 22 June 2024 (UTC)
:: Your reply ~~~~

Prerequisites - kernel options

Talk status
This discussion is done as of May 16, 2021.

Could someone whose more in depth on kernel options knowledge add this section? — The preceding unsigned comment was added by Ahmed (talkcontribs)

I'll give this a go, sounds like a bit of a project for me! Stonespheres (talk) 22:50, 15 May 2021 (UTC)
I do not believe there are any special kernel options necessary for Minecraft. I think we can close this discussion at this point. --Maffblaster (talk) 20:50, 16 May 2021 (UTC)

cURL issues

Talk status
This discussion is done as of May 16, 2021.

We should reference this: Java#Minecraft_launcher_errors — The preceding unsigned comment was added by Sam (talkcontribs)

I've added the Java references as per discussion. If anyone is aware of any more please let me know and I'll add them in Stonespheres (talk) 22:50, 15 May 2021 (UTC)
Good work Stonespheres ! Looks like we can close the discussion now. --Maffblaster (talk) 20:50, 16 May 2021 (UTC)
As per bug #809098 I added the curl[adns] dependency. Since we cannot have both USE="adns" and USE="threads on curl, does that mean the advice here is outdated? Or should minecraft depend on curl[adns] OR curl[threads], instead of forcing adns? (AndrewAmmerlaan) 18:12, 15 October 2021 (UTC)

Zero Day Vulernability in log4j2 / update to 1.18.1

Talk status
This discussion is done.

Is there not a RCE 0-day exploit found in log4j2 that has been recently found out. I think it is best if we include it in the main Minecraft (it uses Log4j2 for its servers here is an article that talks about it in more detail: Minecraft Servers are) wiki as it can affect players who play on some small servers who have not patched it yet. It is a new vulnerably (found out on Dec 9 2021) so most servers are not patched yet but I am going to leave it as a discussion for now as I might not be completely correct. This vulernablity is pretty substanial and though I dont know the exact details though I think it is best to inform users to update to latest 1.18.1 update (which patches it). Also this applies to most web servers.

-- [User:Jeff132312342q4323|Jeff132312342q4323]] (talk) 11 Dec 2021 (UTC)


Looks like it is completely patched now.
-- [User:Jeff132312342q4323|Jeff132312342q4323]] (talk) 11 Dec 2021 (UTC)